# MiniNix

Tiny Nix for use when bootstrapping lower spec systems.

```sh
# Format
curl https://git.hsn.dev/jahanson/MiniNix/raw/branch/main/disko-nixos.nix > disko.nix && sed -i 's|/dev/sda|/dev/nvme0n1|g' ./disko.nix && nix run --experimental-features "nix-command flakes" github:nix-community/disko -- --mode disko ./disko.nix

# Install
mkdir -p /mnt/etc/nixos && mkdir -p /mnt/nix/tmp && nix-shell -p git --run 'TMPDIR=/mnt/nix/tmp nixos-install --flake git+https://git.hsn.dev/jahanson/MiniNix#mini-x86 --no-write-lock-file'
```